> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trends

> Get trends by woeid



## OpenAPI

````yaml GET /twitter/trends
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/trends:
    get:
      description: Get trends by woeid
      parameters:
        - name: woeid
          in: query
          required: true
          description: >-
            The woeid of the location. eg. 2418046. Woeid list:
            https://gist.github.com/tedyblood/5bb5a9f78314cc1f478b3dd7cde790b9
          schema:
            type: integer
            format: int64
        - name: count
          in: query
          description: The number of trends to return. Default is 30. Min is 30.
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Trends
          content:
            application/json:
              schema:
                type: object
                properties:
                  trends:
                    type: array
                    items:
                      $ref: '#/components/schemas/Trend'
                    description: Array of trends
                  status:
                    type: string
                    description: Status of the request.success or error
                    enum:
                      - success
                      - error
                  msg:
                    type: string
                    description: Message of the request.error message
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Trend:
      type: object
      properties:
        name:
          type: string
          description: The name of the trend
        target:
          type: object
          properties:
            query:
              type: string
              description: The query of the target. eg. "#elonmusk"
        rank:
          type: integer
          description: The rank of the trend
        meta_description:
          type: string
          description: The meta description of the trend.eg. "17.7K posts".may be empty.
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````